package com.bonus.zlpt.company.service.impl;

import com.bonus.zlpt.company.api.domain.MaUserCollect;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import com.bonus.zlpt.company.mapper.MaUserCollectMapper;
import com.bonus.zlpt.company.service.MaUserCollectService;
/**
* Description:
* @Author 阮世耀
* @Create 2023/12/2 13:41
* @Version 1.0
*/

@Service
public class MaUserCollectServiceImpl implements MaUserCollectService{

    @Resource
    private MaUserCollectMapper maUserCollectMapper;

    /**
     * @param maId 设备id
     * @return 设备信息
     */
    @Override
    public MaUserCollect selectByMaId(Integer maId) {
        return maUserCollectMapper.selectByMaId(maId);
    }

    @Override
    public int deleteByPrimaryKey(MaUserCollect obj) {
        return maUserCollectMapper.deleteByPrimaryKey(obj);
    }

    @Override
    public int insert(MaUserCollect record) {
        return maUserCollectMapper.insert(record);
    }

    @Override
    public int insertSelective(MaUserCollect record) {
        return maUserCollectMapper.insertSelective(record);
    }

    @Override
    public MaUserCollect selectByPrimaryKey(Integer id) {
        return maUserCollectMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(MaUserCollect record) {
        return maUserCollectMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(MaUserCollect record) {
        return maUserCollectMapper.updateByPrimaryKey(record);
    }

}
